package com.izouma.dingdong.repo;

import com.izouma.dingdong.domain.rider.RiderLocation;
import com.izouma.dingdong.repo.rider.RiderLocationRepo;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@SpringBootTest
@RunWith(SpringRunner.class)
public class RiderLocationTest {
    @Autowired
    private RiderLocationRepo riderLocationRepo;

    @Test
    public void test() {
        riderLocationRepo.save(RiderLocation.builder()
                .riderId(1L)
                .latitude(1.0)
                .longitude(1.0)
                .build());
    }
}
